use arti_client::{config::onion_service::OnionServiceConfigBuilder, TorClient, TorClientConfig};
use log::info;

#[tokio::main]
async fn main() {
    let config = TorClientConfig::default();
    if let Ok(tor_client) = TorClient::create_bootstrapped(config).await {
        info!("Bootstrapped");
        let onion_service_config = OnionServiceConfigBuilder::default().build().unwrap();
        if let Ok(es) = tor_client.launch_onion_service(onion_service_config) {
            info!("Onion name: {}", es.0.onion_name().unwrap());
        }
    } else {
        info!("Error with bootstrapping");
    }
}
